最終更新:2016-04-08 (金) 13:36:18 (1583d)  

yum-builddep
Top / yum-builddep

yum-builddep is a program which installs the RPMs needed to build the specified package. The source RPM for the specified package must be available in a Yum repository (which will be automatically enabled, if it is disabled) or it can be a local source RPM file.

メモ

  • Fedora 16で下記のようなエラーになる
    • systemtap-runtime?systemtap-sdt-devel?が競合
     Transaction Check Error:
      file /usr/share/locale/en/LC_MESSAGES/systemtap.mo from install of systemtap-sdt-devel-2.0-1.fc16.x86_64 conflicts with file from package systemtap-runtime-1.6-1.fc16.x86_64
    [user@localhost ~]$ sudo yum-builddep kernel-3.1.0-7.fc16.src.rpm
    Loaded plugins: langpacks, presto, refresh-packagekit
    Getting requirements for kernel-3.1.0-7.fc16.src
     --> Already installed : module-init-tools-3.16-3.fc16.x86_64
     --> Already installed : patch-2.6.1-9.fc16.x86_64
     --> Already installed : bash-4.2.10-4.fc16.x86_64
     --> Already installed : coreutils-8.12-2.fc16.x86_64
     --> Already installed : 2:tar-1.26-2.fc16.x86_64
     --> Already installed : bzip2-1.0.6-3.fc15.x86_64
     --> Already installed : 1:findutils-4.5.10-1.fc16.x86_64
     --> Already installed : gzip-1.4-3.fc15.x86_64
     --> Already installed : m4-1.4.16-2.fc16.x86_64
     --> Already installed : 4:perl-5.14.1-188.fc16.x86_64
     --> Already installed : 1:make-3.82-7.fc16.x86_64
     --> Already installed : diffutils-3.2-1.fc16.x86_64
     --> Already installed : gawk-4.0.0-1.fc16.x86_64
     --> Already installed : gcc-4.6.2-1.fc16.x86_64
     --> Already installed : binutils-2.21.53.0.1-2.fc16.x86_64
     --> Already installed : redhat-rpm-config-9.1.0-18.fc16.noarch
     --> Already installed : net-tools-1.60-122.fc16.x86_64
     --> xmlto-0.0.24-2.fc16.x86_64
     --> asciidoc-8.4.5-6.fc15.noarch
     --> elfutils-devel-0.154-2.fc16.x86_64
     --> zlib-devel-1.2.5-7.fc16.x86_64
     --> binutils-devel-2.21.53.0.1-6.fc16.x86_64
     --> newt-devel-0.52.14-1.fc16.x86_64
     --> python-devel-2.7.3-4.fc16.x86_64
     --> perl-ExtUtils-Embed-1.30-205.fc16.noarch
     --> pciutils-devel-3.1.7-6.fc16.x86_64
     --> Already installed : gettext-0.18.1.1-8.fc16.x86_64
     --> Already installed : rpm-build-4.9.1.2-1.fc16.x86_64
    --> Running transaction check
    ---> Package asciidoc.noarch 0:8.4.5-6.fc15 will be installed
    --> Processing Dependency: docbook-style-xsl for package: asciidoc-8.4.5-6.fc15.noarch
    ---> Package binutils-devel.x86_64 0:2.21.53.0.1-6.fc16 will be installed
    ---> Package elfutils-devel.x86_64 0:0.154-2.fc16 will be installed
    --> Processing Dependency: elfutils-libs(x86-64) = 0.154-2.fc16 for package: elfutils-devel-0.154-2.fc16.x86_64
    --> Processing Dependency: elfutils-libelf-devel(x86-64) = 0.154-2.fc16 for package: elfutils-devel-0.154-2.fc16.x86_64
    ---> Package newt-devel.x86_64 0:0.52.14-1.fc16 will be installed
    --> Processing Dependency: newt = 0.52.14-1.fc16 for package: newt-devel-0.52.14-1.fc16.x86_64
    --> Processing Dependency: slang-devel for package: newt-devel-0.52.14-1.fc16.x86_64
    ---> Package pciutils-devel.x86_64 0:3.1.7-6.fc16 will be installed
    ---> Package perl-ExtUtils-Embed.noarch 0:1.30-205.fc16 will be installed
    --> Processing Dependency: perl = 4:5.14.3-205.fc16 for package: perl-ExtUtils-Embed-1.30-205.fc16.noarch
    --> Processing Dependency: perl-devel for package: perl-ExtUtils-Embed-1.30-205.fc16.noarch
    ---> Package python-devel.x86_64 0:2.7.3-4.fc16 will be installed
    --> Processing Dependency: python(x86-64) = 2.7.3-4.fc16 for package: python-devel-2.7.3-4.fc16.x86_64
    ---> Package xmlto.x86_64 0:0.0.24-2.fc16 will be installed
    --> Processing Dependency: text-www-browser for package: xmlto-0.0.24-2.fc16.x86_64
    --> Processing Dependency: docbook-dtds for package: xmlto-0.0.24-2.fc16.x86_64
    ---> Package zlib-devel.x86_64 0:1.2.5-7.fc16 will be installed
    --> Processing Dependency: zlib = 1.2.5-7.fc16 for package: zlib-devel-1.2.5-7.fc16.x86_64
    --> Running transaction check
    ---> Package docbook-dtds.noarch 0:1.0-55.fc16 will be installed
    --> Processing Dependency: sgml-common for package: docbook-dtds-1.0-55.fc16.noarch
    ---> Package docbook-style-xsl.noarch 0:1.76.1-2.fc15 will be installed
    ---> Package elfutils-libelf-devel.x86_64 0:0.154-2.fc16 will be installed
    --> Processing Dependency: elfutils-libelf(x86-64) = 0.154-2.fc16 for package: elfutils-libelf-devel-0.154-2.fc16.x86_64
    ---> Package elfutils-libs.x86_64 0:0.152-1.fc16 will be updated
    --> Processing Dependency: elfutils-libs(x86-64) = 0.152-1.fc16 for package: elfutils-0.152-1.fc16.x86_64
    ---> Package elfutils-libs.x86_64 0:0.154-2.fc16 will be an update
    ---> Package lynx.x86_64 0:2.8.7-7.fc16 will be installed
    ---> Package newt.x86_64 0:0.52.13-1.fc16 will be updated
    --> Processing Dependency: newt = 0.52.13-1.fc16 for package: newt-python-0.52.13-1.fc16.x86_64
    ---> Package newt.x86_64 0:0.52.14-1.fc16 will be an update
    ---> Package perl.x86_64 4:5.14.1-188.fc16 will be updated
    --> Processing Dependency: perl(Socket) for package: perl-Net-SSLeay-1.40-1.fc16.x86_64
    --> Processing Dependency: perl(Socket) >= 1.3 for package: 4:perl-5.14.3-205.fc16.x86_64
    --> Processing Dependency: perl(Socket) for package: 4:perl-5.14.3-205.fc16.x86_64
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: 1:perl-Pod-Escapes-1.04-188.fc16.noarch
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: 1:perl-Pod-Simple-3.16-188.fc16.noarch
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: perl-PathTools-3.33-188.fc16.x86_64
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: perl-Scalar-List-Utils-1.23-188.fc16.x86_64
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: perl-threads-shared-1.37-188.fc16.x86_64
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: 4:perl-libs-5.14.1-188.fc16.x86_64
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: 1:perl-Module-Pluggable-3.90-188.fc16.noarch
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: perl-threads-1.83-188.fc16.x86_64
    --> Processing Dependency: perl = 4:5.14.1-188.fc16 for package: 4:perl-macros-5.14.1-188.fc16.x86_64
    ---> Package perl.x86_64 4:5.14.3-205.fc16 will be an update
    ---> Package perl-devel.x86_64 4:5.14.3-205.fc16 will be installed
    --> Processing Dependency: systemtap-sdt-devel for package: 4:perl-devel-5.14.3-205.fc16.x86_64
    --> Processing Dependency: perl(ExtUtils::ParseXS) for package: 4:perl-devel-5.14.3-205.fc16.x86_64
    --> Processing Dependency: perl(ExtUtils::MakeMaker) for package: 4:perl-devel-5.14.3-205.fc16.x86_64
    --> Processing Dependency: perl(ExtUtils::Installed) for package: 4:perl-devel-5.14.3-205.fc16.x86_64
    ---> Package python.x86_64 0:2.7.2-5.2.fc16 will be updated
    ---> Package python.x86_64 0:2.7.3-4.fc16 will be an update
    --> Processing Dependency: python-libs(x86-64) = 2.7.3-4.fc16 for package: python-2.7.3-4.fc16.x86_64
    ---> Package slang-devel.x86_64 0:2.2.4-1.fc16 will be installed
    ---> Package zlib.x86_64 0:1.2.5-4.fc16 will be updated
    ---> Package zlib.x86_64 0:1.2.5-7.fc16 will be an update
    --> Running transaction check
    ---> Package elfutils.x86_64 0:0.152-1.fc16 will be updated
    ---> Package elfutils.x86_64 0:0.154-2.fc16 will be an update
    ---> Package elfutils-libelf.x86_64 0:0.152-1.fc16 will be updated
    ---> Package elfutils-libelf.x86_64 0:0.154-2.fc16 will be an update
    ---> Package newt-python.x86_64 0:0.52.13-1.fc16 will be updated
    ---> Package newt-python.x86_64 0:0.52.14-1.fc16 will be an update
    ---> Package perl-ExtUtils-MakeMaker.noarch 0:6.57.5-205.fc16 will be installed
    --> Processing Dependency: perl(Test::Harness) for package: perl-ExtUtils-MakeMaker-6.57.5-205.fc16.noarch
    ---> Package perl-ExtUtils-ParseXS.noarch 1:2.2210-205.fc16 will be installed
    ---> Package perl-Module-Pluggable.noarch 1:3.90-188.fc16 will be updated
    ---> Package perl-Module-Pluggable.noarch 1:3.90-205.fc16 will be an update
    ---> Package perl-PathTools.x86_64 0:3.33-188.fc16 will be updated
    ---> Package perl-PathTools.x86_64 0:3.33-205.fc16 will be an update
    ---> Package perl-Pod-Escapes.noarch 1:1.04-188.fc16 will be updated
    ---> Package perl-Pod-Escapes.noarch 1:1.04-205.fc16 will be an update
    ---> Package perl-Pod-Simple.noarch 1:3.16-188.fc16 will be updated
    ---> Package perl-Pod-Simple.noarch 1:3.16-205.fc16 will be an update
    ---> Package perl-Scalar-List-Utils.x86_64 0:1.23-188.fc16 will be updated
    ---> Package perl-Scalar-List-Utils.x86_64 0:1.25-1.fc16 will be an update
    ---> Package perl-Socket.x86_64 0:2.001-1.fc16 will be installed
    ---> Package perl-libs.x86_64 4:5.14.1-188.fc16 will be updated
    ---> Package perl-libs.x86_64 4:5.14.3-205.fc16 will be an update
    ---> Package perl-macros.x86_64 4:5.14.1-188.fc16 will be updated
    ---> Package perl-macros.x86_64 4:5.14.3-205.fc16 will be an update
    ---> Package perl-threads.x86_64 0:1.83-188.fc16 will be updated
    ---> Package perl-threads.x86_64 0:1.83-205.fc16 will be an update
    ---> Package perl-threads-shared.x86_64 0:1.37-188.fc16 will be updated
    ---> Package perl-threads-shared.x86_64 0:1.37-205.fc16 will be an update
    ---> Package python-libs.x86_64 0:2.7.2-5.2.fc16 will be updated
    ---> Package python-libs.x86_64 0:2.7.3-4.fc16 will be an update
    --> Processing Dependency: expat >= 2.1.0 for package: python-libs-2.7.3-4.fc16.x86_64
    ---> Package sgml-common.noarch 0:0.6.3-34.fc15 will be installed
    ---> Package systemtap-sdt-devel.x86_64 0:2.0-1.fc16 will be installed
    --> Running transaction check
    ---> Package expat.x86_64 0:2.0.1-11.fc15 will be updated
    ---> Package expat.x86_64 0:2.1.0-1.fc16 will be an update
    ---> Package perl-Test-Harness.noarch 0:3.23-205.fc16 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                                         Arch                           Version                                    Repository                       Size
    =================================================================================================================================================================
    Installing:
     asciidoc                                        noarch                         8.4.5-6.fc15                               fedora                          181 k
     binutils-devel                                  x86_64                         2.21.53.0.1-6.fc16                         updates                         719 k
     elfutils-devel                                  x86_64                         0.154-2.fc16                               updates                          69 k
     newt-devel                                      x86_64                         0.52.14-1.fc16                             updates                          50 k
     pciutils-devel                                  x86_64                         3.1.7-6.fc16                               fedora                           32 k
     perl-ExtUtils-Embed                             noarch                         1.30-205.fc16                              updates                          39 k
     python-devel                                    x86_64                         2.7.3-4.fc16                               updates                         379 k
     xmlto                                           x86_64                         0.0.24-2.fc16                              updates                          48 k
     zlib-devel                                      x86_64                         1.2.5-7.fc16                               updates                          46 k
    Installing for dependencies:
     docbook-dtds                                    noarch                         1.0-55.fc16                                fedora                          217 k
     docbook-style-xsl                               noarch                         1.76.1-2.fc15                              fedora                          2.3 M
     elfutils-libelf-devel                           x86_64                         0.154-2.fc16                               updates                          32 k
     lynx                                            x86_64                         2.8.7-7.fc16                               fedora                          1.4 M
     perl-ExtUtils-MakeMaker                         noarch                         6.57.5-205.fc16                            updates                         308 k
     perl-ExtUtils-ParseXS                           noarch                         1:2.2210-205.fc16                          updates                          57 k
     perl-Socket                                     x86_64                         2.001-1.fc16                               updates                          44 k
     perl-Test-Harness                               noarch                         3.23-205.fc16                              updates                         279 k
     perl-devel                                      x86_64                         4:5.14.3-205.fc16                          updates                         455 k
     sgml-common                                     noarch                         0.6.3-34.fc15                              fedora                           49 k
     slang-devel                                     x86_64                         2.2.4-1.fc16                               fedora                           90 k
     systemtap-sdt-devel                             x86_64                         2.0-1.fc16                                 updates                          67 k
    Updating for dependencies:
     elfutils                                        x86_64                         0.154-2.fc16                               updates                         219 k
     elfutils-libelf                                 x86_64                         0.154-2.fc16                               updates                         173 k
     elfutils-libs                                   x86_64                         0.154-2.fc16                               updates                         183 k
     expat                                           x86_64                         2.1.0-1.fc16                               updates                          76 k
     newt                                            x86_64                         0.52.14-1.fc16                             updates                          99 k
     newt-python                                     x86_64                         0.52.14-1.fc16                             updates                          50 k
     perl                                            x86_64                         4:5.14.3-205.fc16                          updates                          10 M
     perl-Module-Pluggable                           noarch                         1:3.90-205.fc16                            updates                          47 k
     perl-PathTools                                  x86_64                         3.33-205.fc16                              updates                         104 k
     perl-Pod-Escapes                                noarch                         1:1.04-205.fc16                            updates                          40 k
     perl-Pod-Simple                                 noarch                         1:3.16-205.fc16                            updates                         222 k
     perl-Scalar-List-Utils                          x86_64                         1.25-1.fc16                                updates                          33 k
     perl-libs                                       x86_64                         4:5.14.3-205.fc16                          updates                         623 k
     perl-macros                                     x86_64                         4:5.14.3-205.fc16                          updates                          32 k
     perl-threads                                    x86_64                         1.83-205.fc16                              updates                          69 k
     perl-threads-shared                             x86_64                         1.37-205.fc16                              updates                          58 k
     python                                          x86_64                         2.7.3-4.fc16                               updates                          75 k
     python-libs                                     x86_64                         2.7.3-4.fc16                               updates                         5.5 M
     zlib                                            x86_64                         1.2.5-7.fc16                               updates                          83 k
    
    Transaction Summary
    =================================================================================================================================================================
    Install      21 Packages
    Upgrade      19 Packages
    
    Total download size: 25 M
    Is this ok [y/N]: 
    
  • yum groupinstall "Development Tools"
    [user@localhost ~]$ sudo yum groupinstall "Development Tools"
    Loaded plugins: langpacks, presto, refresh-packagekit
    Setting up Group Process
    fedora/group_gz                                                                                                              | 431 kB     00:01     
    updates/group_gz                                                                                                             | 438 kB     00:00     
    Package flex-2.5.35-13.fc15.x86_64 already installed and latest version
    Package rpm-build-4.9.1.3-1.fc16.x86_64 already installed and latest version
    Package 1:pkgconfig-0.25-3.fc15.x86_64 already installed and latest version
    Package automake-1.11.6-1.fc16.noarch already installed and latest version
    Package gdb-7.3.50.20110722-16.fc16.x86_64 already installed and latest version
    Package bison-2.5-1.fc16.x86_64 already installed and latest version
    Package autoconf-2.68-2.fc15.noarch already installed and latest version
    Package diffstat-1.54-2.fc15.x86_64 already installed and latest version
    Package 1:valgrind-3.6.1-6.fc16.x86_64 already installed and latest version
    Package intltool-0.41.1-2.fc15.noarch already installed and latest version
    Package texinfo-4.13a-15.fc15.x86_64 already installed and latest version
    Package rcs-5.7-37.fc15.x86_64 already installed and latest version
    Package automake17-1.7.9-15.fc16.noarch already installed and latest version
    Package automake14-1.4p6-21.fc15.noarch already installed and latest version
    Package patchutils-0.3.2-1.fc15.x86_64 already installed and latest version
    Package oprofile-gui-0.9.6-21.fc16.x86_64 already installed and latest version
    Package byacc-1.9.20101229-2.fc15.x86_64 already installed and latest version
    Package sysprof-1.1.8-1.fc16.x86_64 already installed and latest version
    Package 1:doxygen-1.7.5-1.fc16.x86_64 already installed and latest version
    Package indent-2.2.11-4.fc16.x86_64 already installed and latest version
    Package cvs-1.11.23-22.fc16.x86_64 already installed and latest version
    Package oprofile-0.9.6-21.fc16.x86_64 already installed and latest version
    Resolving Dependencies
    --> Running transaction check
    ---> Package binutils.x86_64 0:2.21.53.0.1-2.fc16 will be updated
    ---> Package binutils.x86_64 0:2.21.53.0.1-6.fc16 will be an update
    ---> Package ccache.x86_64 0:3.1.6-1.fc16 will be updated
    ---> Package ccache.x86_64 0:3.1.7-1.fc16 will be an update
    ---> Package cscope.x86_64 0:15.7a-7.fc16 will be updated
    ---> Package cscope.x86_64 0:15.8-2.fc16 will be an update
    ---> Package ctags.x86_64 0:5.8-3.fc15 will be updated
    ---> Package ctags.x86_64 0:5.8-9.fc16 will be an update
    ---> Package elfutils.x86_64 0:0.152-1.fc16 will be updated
    ---> Package elfutils.x86_64 0:0.154-2.fc16 will be an update
    --> Processing Dependency: elfutils-libs(x86-64) = 0.154-2.fc16 for package: elfutils-0.154-2.fc16.x86_64
    --> Processing Dependency: elfutils-libelf(x86-64) = 0.154-2.fc16 for package: elfutils-0.154-2.fc16.x86_64
    ---> Package gcc.x86_64 0:4.6.2-1.fc16 will be updated
    --> Processing Dependency: gcc = 4.6.2-1.fc16 for package: libquadmath-devel-4.6.2-1.fc16.x86_64
    ---> Package gcc.x86_64 0:4.6.3-2.fc16 will be an update
    --> Processing Dependency: libgomp = 4.6.3-2.fc16 for package: gcc-4.6.3-2.fc16.x86_64
    --> Processing Dependency: cpp = 4.6.3-2.fc16 for package: gcc-4.6.3-2.fc16.x86_64
    --> Processing Dependency: libgcc >= 4.6.3-2.fc16 for package: gcc-4.6.3-2.fc16.x86_64
    ---> Package gcc-c++.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package gcc-c++.x86_64 0:4.6.3-2.fc16 will be an update
    --> Processing Dependency: libstdc++-devel = 4.6.3-2.fc16 for package: gcc-c++-4.6.3-2.fc16.x86_64
    --> Processing Dependency: libstdc++ = 4.6.3-2.fc16 for package: gcc-c++-4.6.3-2.fc16.x86_64
    ---> Package gcc-gfortran.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package gcc-gfortran.x86_64 0:4.6.3-2.fc16 will be an update
    --> Processing Dependency: libquadmath = 4.6.3-2.fc16 for package: gcc-gfortran-4.6.3-2.fc16.x86_64
    --> Processing Dependency: libgfortran = 4.6.3-2.fc16 for package: gcc-gfortran-4.6.3-2.fc16.x86_64
    ---> Package gettext.x86_64 0:0.18.1.1-8.fc16 will be updated
    --> Processing Dependency: gettext = 0.18.1.1-8.fc16 for package: gettext-devel-0.18.1.1-8.fc16.x86_64
    ---> Package gettext.x86_64 0:0.18.1.1-9.1.fc16 will be an update
    ---> Package git.x86_64 0:1.7.7-2.fc16 will be updated
    --> Processing Dependency: git = 1.7.7-2.fc16 for package: perl-Git-1.7.7-2.fc16.noarch
    ---> Package git.x86_64 0:1.7.7.6-1.fc16 will be an update
    ---> Package libtool.x86_64 0:2.4-7.fc16 will be updated
    ---> Package libtool.x86_64 0:2.4-9.fc16 will be an update
    ---> Package ltrace.x86_64 0:0.6.0-1.fc16 will be updated
    ---> Package ltrace.x86_64 0:0.6.0-6.fc16 will be an update
    ---> Package make.x86_64 1:3.82-7.fc16 will be updated
    ---> Package make.x86_64 1:3.82-8.fc16 will be an update
    ---> Package redhat-rpm-config.noarch 0:9.1.0-18.fc16 will be updated
    ---> Package redhat-rpm-config.noarch 0:9.1.0-24.fc16 will be an update
    ---> Package strace.x86_64 0:4.6-1.fc16 will be updated
    ---> Package strace.x86_64 0:4.7-1.fc16 will be an update
    ---> Package subversion.x86_64 0:1.6.17-5.fc16 will be updated
    ---> Package subversion.x86_64 0:1.6.18-1.fc16 will be an update
    --> Processing Dependency: subversion-libs(x86-64) = 1.6.18-1.fc16 for package: subversion-1.6.18-1.fc16.x86_64
    ---> Package swig.x86_64 0:2.0.4-2.fc16 will be updated
    ---> Package swig.x86_64 0:2.0.4-4.fc16 will be an update
    ---> Package systemtap.x86_64 0:1.6-1.fc16 will be updated
    ---> Package systemtap.x86_64 0:2.0-1.fc16 will be an update
    --> Processing Dependency: systemtap-devel = 2.0-1.fc16 for package: systemtap-2.0-1.fc16.x86_64
    --> Processing Dependency: systemtap-client = 2.0-1.fc16 for package: systemtap-2.0-1.fc16.x86_64
    --> Running transaction check
    ---> Package cpp.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package cpp.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package elfutils-libelf.x86_64 0:0.152-1.fc16 will be updated
    ---> Package elfutils-libelf.x86_64 0:0.154-2.fc16 will be an update
    ---> Package elfutils-libs.x86_64 0:0.152-1.fc16 will be updated
    ---> Package elfutils-libs.x86_64 0:0.154-2.fc16 will be an update
    ---> Package gettext-devel.x86_64 0:0.18.1.1-8.fc16 will be updated
    ---> Package gettext-devel.x86_64 0:0.18.1.1-9.1.fc16 will be an update
    --> Processing Dependency: gettext-libs = 0.18.1.1-9.1.fc16 for package: gettext-devel-0.18.1.1-9.1.fc16.x86_64
    --> Processing Dependency: gettext-common-devel = 0.18.1.1-9.1.fc16 for package: gettext-devel-0.18.1.1-9.1.fc16.x86_64
    ---> Package libgcc.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package libgcc.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package libgfortran.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package libgfortran.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package libgomp.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package libgomp.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package libquadmath.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package libquadmath.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package libquadmath-devel.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package libquadmath-devel.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package libstdc++.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package libstdc++.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package libstdc++-devel.x86_64 0:4.6.2-1.fc16 will be updated
    ---> Package libstdc++-devel.x86_64 0:4.6.3-2.fc16 will be an update
    ---> Package perl-Git.noarch 0:1.7.7-2.fc16 will be updated
    ---> Package perl-Git.noarch 0:1.7.7.6-1.fc16 will be an update
    ---> Package subversion-libs.x86_64 0:1.6.17-5.fc16 will be updated
    ---> Package subversion-libs.x86_64 0:1.6.18-1.fc16 will be an update
    ---> Package systemtap-client.x86_64 0:2.0-1.fc16 will be installed
    --> Processing Dependency: systemtap-runtime = 2.0-1.fc16 for package: systemtap-client-2.0-1.fc16.x86_64
    ---> Package systemtap-devel.x86_64 0:2.0-1.fc16 will be installed
    --> Running transaction check
    ---> Package gettext-common-devel.noarch 0:0.18.1.1-8.fc16 will be updated
    ---> Package gettext-common-devel.noarch 0:0.18.1.1-9.1.fc16 will be an update
    ---> Package gettext-libs.x86_64 0:0.18.1.1-8.fc16 will be updated
    ---> Package gettext-libs.x86_64 0:0.18.1.1-9.1.fc16 will be an update
    ---> Package systemtap-runtime.x86_64 0:1.6-1.fc16 will be updated
    ---> Package systemtap-runtime.x86_64 0:2.0-1.fc16 will be an update
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ====================================================================================================================================================
     Package                                   Arch                        Version                                   Repository                    Size
    ====================================================================================================================================================
    Updating:
     binutils                                  x86_64                      2.21.53.0.1-6.fc16                        updates                      3.5 M
     ccache                                    x86_64                      3.1.7-1.fc16                              updates                      122 k
     cscope                                    x86_64                      15.8-2.fc16                               updates                      200 k
     ctags                                     x86_64                      5.8-9.fc16                                updates                      148 k
     elfutils                                  x86_64                      0.154-2.fc16                              updates                      219 k
     gcc                                       x86_64                      4.6.3-2.fc16                              updates                       13 M
     gcc-c++                                   x86_64                      4.6.3-2.fc16                              updates                      5.3 M
     gcc-gfortran                              x86_64                      4.6.3-2.fc16                              updates                      4.9 M
     gettext                                   x86_64                      0.18.1.1-9.1.fc16                         updates                      1.0 M
     git                                       x86_64                      1.7.7.6-1.fc16                            updates                      3.0 M
     libtool                                   x86_64                      2.4-9.fc16                                updates                      575 k
     ltrace                                    x86_64                      0.6.0-6.fc16                              updates                       76 k
     make                                      x86_64                      1:3.82-8.fc16                             updates                      413 k
     redhat-rpm-config                         noarch                      9.1.0-24.fc16                             updates                       66 k
     strace                                    x86_64                      4.7-1.fc16                                updates                      232 k
     subversion                                x86_64                      1.6.18-1.fc16                             updates                      1.1 M
     swig                                      x86_64                      2.0.4-4.fc16                              updates                      1.2 M
     systemtap                                 x86_64                      2.0-1.fc16                                updates                       24 k
    Installing for dependencies:
     systemtap-client                          x86_64                      2.0-1.fc16                                updates                      3.3 M
     systemtap-devel                           x86_64                      2.0-1.fc16                                updates                      1.2 M
    Updating for dependencies:
     cpp                                       x86_64                      4.6.3-2.fc16                              updates                      4.3 M
     elfutils-libelf                           x86_64                      0.154-2.fc16                              updates                      173 k
     elfutils-libs                             x86_64                      0.154-2.fc16                              updates                      183 k
     gettext-common-devel                      noarch                      0.18.1.1-9.1.fc16                         updates                      613 k
     gettext-devel                             x86_64                      0.18.1.1-9.1.fc16                         updates                      149 k
     gettext-libs                              x86_64                      0.18.1.1-9.1.fc16                         updates                      233 k
     libgcc                                    x86_64                      4.6.3-2.fc16                              updates                       90 k
     libgfortran                               x86_64                      4.6.3-2.fc16                              updates                      288 k
     libgomp                                   x86_64                      4.6.3-2.fc16                              updates                      101 k
     libquadmath                               x86_64                      4.6.3-2.fc16                              updates                      165 k
     libquadmath-devel                         x86_64                      4.6.3-2.fc16                              updates                       39 k
     libstdc++                                 x86_64                      4.6.3-2.fc16                              updates                      289 k
     libstdc++-devel                           x86_64                      4.6.3-2.fc16                              updates                      1.4 M
     perl-Git                                  noarch                      1.7.7.6-1.fc16                            updates                       40 k
     subversion-libs                           x86_64                      1.6.18-1.fc16                             updates                      693 k
     systemtap-runtime                         x86_64                      2.0-1.fc16                                updates                      163 k
    
    Transaction Summary
    ====================================================================================================================================================
    Install       2 Packages
    Upgrade      34 Packages
    
    Total size: 48 M
    Total download size: 48 M
    Is this ok [y/N]: 
    
  • Development toolsを入れたあと
    Dependencies Resolved
    
    =================================================================================================================================================================
     Package                                         Arch                           Version                                    Repository                       Size
    =================================================================================================================================================================
    Installing:
     asciidoc                                        noarch                         8.4.5-6.fc15                               fedora                          181 k
     binutils-devel                                  x86_64                         2.21.53.0.1-6.fc16                         updates                         719 k
     elfutils-devel                                  x86_64                         0.154-2.fc16                               updates                          69 k
     newt-devel                                      x86_64                         0.52.14-1.fc16                             updates                          50 k
     pciutils-devel                                  x86_64                         3.1.7-6.fc16                               fedora                           32 k
     perl-ExtUtils-Embed                             noarch                         1.30-205.fc16                              updates                          39 k
     python-devel                                    x86_64                         2.7.3-4.fc16                               updates                         379 k
     xmlto                                           x86_64                         0.0.24-2.fc16                              updates                          48 k
     zlib-devel                                      x86_64                         1.2.5-7.fc16                               updates                          46 k
    Installing for dependencies:
     docbook-dtds                                    noarch                         1.0-55.fc16                                fedora                          217 k
     docbook-style-xsl                               noarch                         1.76.1-2.fc15                              fedora                          2.3 M
     elfutils-libelf-devel                           x86_64                         0.154-2.fc16                               updates                          32 k
     lynx                                            x86_64                         2.8.7-7.fc16                               fedora                          1.4 M
     perl-ExtUtils-MakeMaker                         noarch                         6.57.5-205.fc16                            updates                         308 k
     perl-ExtUtils-ParseXS                           noarch                         1:2.2210-205.fc16                          updates                          57 k
     perl-Test-Harness                               noarch                         3.23-205.fc16                              updates                         279 k
     perl-devel                                      x86_64                         4:5.14.3-205.fc16                          updates                         455 k
     sgml-common                                     noarch                         0.6.3-34.fc15                              fedora                           49 k
     slang-devel                                     x86_64                         2.2.4-1.fc16                               fedora                           90 k
     systemtap-sdt-devel                             x86_64                         2.0-1.fc16                                 updates                          67 k
    Updating for dependencies:
     expat                                           x86_64                         2.1.0-1.fc16                               updates                          76 k
     newt                                            x86_64                         0.52.14-1.fc16                             updates                          99 k
     newt-python                                     x86_64                         0.52.14-1.fc16                             updates                          50 k
     python                                          x86_64                         2.7.3-4.fc16                               updates                          75 k
     python-libs                                     x86_64                         2.7.3-4.fc16                               updates                         5.5 M
     zlib                                            x86_64                         1.2.5-7.fc16                               updates                          83 k
    
    Transaction Summary
    =================================================================================================================================================================
    Install      20 Packages
    Upgrade       6 Packages
    
    Total size: 13 M